SWFieldManagerInternal::FieldDBField Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
SWFieldManagerInternal::FieldDBField Struct Referencefinal

Internal: a DB field field. More...

Inheritance diagram for SWFieldManagerInternal::FieldDBField:

## Public Member Functions
| FieldDBField ()
| constructor
| FieldDBField (Field const &orig)
| copy constructor
| ~FieldDBField () final
| destructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data
void | print (std::ostream &o) const final
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor

## Public Attributes
librevenge::RVNGString | m_dbName
| the dbName
librevenge::RVNGString | m_colName
| the column name
long | m_longNumber
| the number as num
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor

## Detailed Description

Internal: a DB field field.

## Constructor & Destructor Documentation

## ◆ FieldDBField() [1/2]

SWFieldManagerInternal::FieldDBField::FieldDBField | ( |  | ) |
| inline

constructor

## ◆ FieldDBField() [2/2]

SWFieldManagerInternal::FieldDBField::FieldDBField | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldDBField()

SWFieldManagerInternal::FieldDBField::~FieldDBField | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldDBField::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

Referenced by print().

## ◆ send()

bool SWFieldManagerInternal::FieldDBField::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const
| finalvirtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_colName

librevenge::RVNGString SWFieldManagerInternal::FieldDBField::m_colName

the column name

Referenced by FieldDBField(), FieldDBField(), print(), and send().

## ◆ m_dbName

librevenge::RVNGString SWFieldManagerInternal::FieldDBField::m_dbName

the dbName

Referenced by FieldDBField(), FieldDBField(), print(), and send().

## ◆ m_longNumber

long SWFieldManagerInternal::FieldDBField::m_longNumber

the number as num

Referenced by FieldDBField(), FieldDBField(), and print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx